% nonperiodicR1L files
% ------------------
%
% m-Files:
%    cheb_poly_dct            - slow evaluation or adjoint of multivariate
%                               algebraic polynomial in Chebyshev form at
%                               rank-1 Chebyshev lattice nodes
%    cheb_poly_eval           - slow evaluation of multivariate
%                               algebraic polynomial in Chebyshev form at
%                               rank-1 Chebyshev lattice nodes
%    cheb_poly_fct            - fast evaluation or adjoint of multivariate
%                               algebraic polynomial in Chebyshev form at
%                               rank-1 Chebyshev lattice nodes
%    cheb_poly_reco           - fast reconstruction of Chebyshev coefficients
%                               of multivariate algebraic polynomial in
%                               Chebyshev form based on samples along
%                               reconstructing rank-1 Chebyshev lattice
%    cheb_poly_reco_direct    - slow reconstruction of Chebyshev coefficients
%                               of multivariate algebraic polynomial in
%                               Chebyshev form based on samples along
%                               reconstructing rank-1 Chebyshev lattice
%    cheb_poly_reco           - fast reconstruction of Chebyshev coefficients
%                               of multivariate algebraic polynomial in
%                               Chebyshev form based on samples along
%                               reconstructing rank-1 Chebyshev lattice built
%                             - via reconstructing rank-1 lattice
%    compile_mex_files        - compile mex files
%    coord_symhc2_even_nonneg - symmetric hyperbolic cross frequency index set
%                               consisting only of even frequency components
%    coord_symhc2_nonneg      - symmetric hyperbolic cross frequency index set
%    dct1                     - (slow) discrete cosine transform of type I
%    dct_cbc_lattice_search   - search for generating vector z of
%                               reconstructing rank-1 Chebyshev lattice
%    dct_cbc_lattice_search_mex64_openmp - mex implementation
%    dct_I                    - fast cosine transform of type I
%    dct_lattice_size_reduce  - search for smaller size parameter of
%                               reconstructing rank-1 Chebyshev lattice
%    dct_lattice_size_reduce_mex64_openmp - mex implementation
%    dct_r1l_check            - check if reconstruction property is fulfilled
%    demo_cl_test1_runtests   - demo for sfft_cl_algorithm reconstructing
%                             - multivariate algebraic polynomials in
%                               Chebyshev form
%    demo_cl_test3_f9_runtests - demo for sfft_cl_algorithm approximating
%                                9-dimensional test function f_9
%    emod                     - even-mod relation
%    emod2                    - even-mod relation
%    fct1                     - fast cosine transform of type I
%    indexset_mirror_all      - (repeatedly) mirror index set
%                               at all coordinate axes
%    indexset_mirror_s        - (repeatedly) mirror index set
%                               at all coordinate axes except s-th
%    indexset_nonneg          - return non-negative frequencies of index set
%    sfft_cl_algorithm        - sparse high-dimensional FFT based on
%                               rank-1 Chebyshev lattice sampling
%
% Reference:
% [1] D. Potts and T. Volkmer.
%     Fast and exact reconstruction of arbitrary multivariate algebraic
%     polynomials in Chebyshev form.
%     Proceedings of the 11th International Conference on Sampling Theory
%     and Applications, 392-396, 2015.
%
% Please call
%    compile_mex_files
% first.
%
% The algorithm for the fast reconstruction is the MATLAB function
%    cheb_poly_reco
% and the important utility functions required by the algorithm are
%    fct1
%    emod

