function [ results ] = bspline4t_cl_multipletests( N_array, z_matrix, M_array, filename )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

results = repmat(struct(), length(N_array), 1);

d = size(z_matrix,2);

if exist(filename, 'file')
  error('File %s already exists', filename);
end

for iN=1:length(N_array)
  N = N_array(iN);
  freq = indexset_nonneg(double(coord_symhc(N,d,1)));
  z = z_matrix(iN,:);
  M = M_array(iN);

  [ err_rel2, err_rel_trunc2, err_rel_alias2, err_rel1, err_rel_trunc1, err_rel_alias1 ] = bspline4t_cl_singletest( freq, z, M );
  fprintf('d=%d, N=%3d, num_freq=%6d, err_A_rel=%.3e, err_l2_rel=%.3e\n', d, N, size(freq,1), err_rel1, err_rel2);

  results(iN).d = d;
  results(iN).N = N;
  results(iN).sizeH = size(freq,1);
  results(iN).err_rel1 = err_rel1;
  results(iN).err_rel_trunc1 = err_rel_trunc1;
  results(iN).err_rel_alias1 = err_rel_alias1;
  results(iN).err_rel2 = err_rel2;
  results(iN).err_rel_trunc2 = err_rel_trunc2;
  results(iN).err_rel_alias2 = err_rel_alias2;
  results(iN).z = z;
  results(iN).M = M;
  save(filename, 'd', 'N_array', 'results');
end

end

