function [ out ] = emod2( input, M )
%EMOD2 Computes even-mod relation.
%
%   This function computes
%   k emod M := {k mod(2M)       for k mod(2M) <= M,
%               {2M - k mod(2M)  otherwise.
%
%   Input parameter:
%      input - column vector of input frequencies
%
%    Ouput parameter:
%       out - transformed values
%
% Copyright (c) 2015 Toni Volkmer
%
% This program is free software; you can redistribute it and/or modify it under
% the terms of the GNU General Public License as published by the Free Software
% Foundation; either version 2 of the License, or (at your option) any later
% version.
%
% This program is distributed in the hope that it will be useful, but WITHOUT
% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
% FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
% details.
%
% You should have received a copy of the GNU General Public License along with
% this program; if not, write to the Free Software Foundation, Inc., 51
% Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

out = abs(mod(input + M,2*M) - M);

end

